com.amazonaws.services.cloudfront.util

## Enum SignerUtils.Protocol

- java.lang.Object
- - java.lang.Enum<SignerUtils.Protocol>
  - - com.amazonaws.services.cloudfront.util.SignerUtils.Protocol

All Implemented Interfaces:
  Serializable, Comparable<SignerUtils.Protocol>

Enclosing class:
  SignerUtils

    public static enum SignerUtils.Protocol
    extends Enum<SignerUtils.Protocol>

Enumeration of protocols for presigned URLs

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`http`
`https`
`rtmp`

### Method Summary

All Methods Static Methods Concrete Methods
`static SignerUtils.Protocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SignerUtils.Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### http

    public static final SignerUtils.Protocol http

#### https

    public static final SignerUtils.Protocol https

#### rtmp

    public static final SignerUtils.Protocol rtmp

### Method Detail

#### values

    public static SignerUtils.Protocol[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SignerUtils.Protocol c : SignerUtils.Protocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SignerUtils.Protocol valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null